import * as React from "react"
import faker from "faker"
import { Blurbs } from "./Blurbs"
import { PageSegment } from "../PageSegment"
import { Title } from "../Title"
import { IconLink } from "../IconLink"

export default {
  title: "Blurbs",
  component: Blurbs,
}

export const Main = (...args) => (
  <PageSegment>
    <Title textAlign="center">{faker.lorem.words(3)}</Title>
    <Blurbs centered content={faker.lorem.paragraphs(2)} {...args}>
      <Blurbs.Item
        icon={<IconLink name="question" size="bigger" />}
        header="title"
      >
        {faker.lorem.sentences(1)}
      </Blurbs.Item>
      <Blurbs.Item
        icon={<IconLink name="question" size="bigger" />}
        header="title"
      >
        {faker.lorem.sentences(1)}
      </Blurbs.Item>
      <Blurbs.Item
        icon={<IconLink name="question" size="bigger" />}
        header="title"
      >
        {faker.lorem.sentences(1)}
      </Blurbs.Item>
    </Blurbs>
  </PageSegment>
)
